{{define "body"}}
<h2>Create a new rule</h2>

{{ $root := . }}

{{ if ne .Message "" }}
<p>Got {{ .Message }}</p>
{{ end }}

{{ if eq .ChosenCapability "" }}
	<ul>
	{{ range $_, $value := $root.CapabilityList }}
		<li><a href="/create/rule?capability={{ $value }}">{{ $value }}</a></li>
	{{ end }}
	</ul>

	<p><a href="/">Back</a></p>
{{ else }}
	<form action = "/create/rule" method = "post">
		Input the rule
		<br />

		<textarea rows = "32" cols = "70" name = "rule">{
   "name": "",
   "description": "",
   "rule": [
      {
         "name": [
            ""
         ],
         "checkPeriod": 0,
         "type": "{{ .ChosenCapability }}",
         "condition": [
            {
               "checkMode": "last",
               "comparison": "eq",
               "field": "",
               "value": "",
               "forLessThan": 0,
               "forMoreThan": 0,
               "pattern": [
                  {
                     "name": "",
                     "value": ""
                  }
               ],
               "isStrictPattern": true
            }
         ]
      }
   ]
}</textarea><br />

		<input type = "submit" value = "submit" /><br />
	</form>

	Available devices:
	<ul>
		{{ range $device := index $.DeviceList .ChosenCapability }}
			<li>{{ $device }}</li>
		{{ end }}
	</ul>
	<p>Possible fields for {{ .ChosenCapability }}</p>

	<ul>
		{{ range $_, $field := $root.RuleField }}
			<li> {{ $field.Identifier }} - {{ $field.Type }} ({{ $field.Description }})</li>
		{{ end }}
	</ul>
	<p><a href="/create/rule">Back</a></p>
{{ end }}

{{end}}